package my.rcp.gefeditor.editors;

import my.rcp.gefeditor.mvc.model.MyBlock;
import my.rcp.gefeditor.mvc.model.MySchema;

import org.eclipse.draw2d.geometry.Dimension;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;

/** class responsible for providing content */
public class MyContentProvider {

	public static MyContentProvider INSTANCE = new MyContentProvider();

	/** Get a sample instance of {@link MySchema}*/
	public MySchema sample() {
		MySchema s = new MySchema();
		// instantiate 3 blocks
		MyBlock b1, b2, b3;
		b1 = newBlock(10, 10, 30, 30);
		b2 = newBlock(100, 30, 50, 50);
		b3 = newBlock(200, 10, 90, 90);
		// add blocks to the schema
		s.addBlock(b1);
		s.addBlock(b2);
		s.addBlock(b3);
		return s;
	}

	private MyBlock newBlock(int x, int y, int width, int height) {
		MyBlock b = new MyBlock();
		b.setConstraint(new Rectangle(
				new Point(x, y), 
				new Dimension(width,height)));
		return b;
	}

}
