package my.rcp.gefeditor.editors;

import my.rcp.gefeditor.mvc.control.MyBlockEditPart;
import my.rcp.gefeditor.mvc.control.MySchemaEditPart;
import my.rcp.gefeditor.mvc.model.MyBlock;
import my.rcp.gefeditor.mvc.model.MySchema;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;

/** factory that builds controllers */
public class MyEditPartFactory implements EditPartFactory {

	@Override
	public EditPart createEditPart(EditPart context, Object model) {
		if( model instanceof MySchema ){
			return new MySchemaEditPart( (MySchema) model );
		}
		if( model instanceof MyBlock ){
			return new MyBlockEditPart( (MyBlock) model );
		}
		return null;
	}

}
