package my.rcp.gefeditor.mvc.control;

import java.beans.PropertyChangeEvent;

import my.rcp.gefeditor.mvc.model.MyBlock;
import my.rcp.gefeditor.mvc.view.MyBlockFigure;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Rectangle;

public class MyBlockEditPart extends ElementEditPart {

	public MyBlockEditPart( MyBlock model ){
		setModel(model);
	}

	@Override
	protected IFigure createFigure() {
		return new MyBlockFigure();
	}

	@Override
	protected void createEditPolicies() { }
	
	@Override
	protected void refreshVisuals() {
		// super.refreshVisuals();
		MyBlockFigure figure = (MyBlockFigure) getFigure();
		MyBlock block = (MyBlock) getModel();
		MySchemaEditPart parent = (MySchemaEditPart) getParent();
		//
		Rectangle r = new Rectangle( block.getConstraint() );
		parent.setLayoutConstraint(this, figure, r);
	}

	/** method for managing property changes notification */
	@Override
	public void propertyChange(PropertyChangeEvent evt) {
		// call the refresh visuals of the component
		refreshVisuals();
	}

}
