package my.rcp.gefeditor.mvc.view;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.RectangleFigure;
import org.eclipse.draw2d.XYLayout;
import org.eclipse.draw2d.geometry.Rectangle;

public class MyBlockFigure extends Figure {
	
	private RectangleFigure rectangle;
	
	public MyBlockFigure(){
		setLayoutManager(new XYLayout());
		rectangle = new RectangleFigure();
		rectangle.setBackgroundColor( ColorConstants.lightBlue );
		add( rectangle );	}
	
	@Override
	protected void paintFigure(Graphics graphics) {
		//super.paintFigure(graphics);
		Rectangle r = getBounds().getCopy();
		// constraint the child RectangleFigure of this figure
		setConstraint( rectangle, 
				new Rectangle(0, 0, r.width, r.height));
		rectangle.invalidate();
	}
	
}
