package my.rcp.gefeditor.editors;

import my.rcp.gefeditor.commands.BlockChangeConstraintCommand;
import my.rcp.gefeditor.mvc.model.MyBlock;

import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.EditPart;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.XYLayoutEditPolicy;
import org.eclipse.gef.requests.CreateRequest;

/** define the policy for layouting */
public class MySchemaXYLayoutEditPolicy extends XYLayoutEditPolicy {

	@Override
	protected Command createChangeConstraintCommand(EditPart child,
			Object constraint) {
		// get instance for the command 
		BlockChangeConstraintCommand changeConstraintCommand = 
			new BlockChangeConstraintCommand();
		// set obejct and parameters for command 
		changeConstraintCommand.setBlock( (MyBlock) child.getModel() );
		changeConstraintCommand.setNewConstraint( (Rectangle) constraint );
		//
		return changeConstraintCommand;
	}

	@Override
	protected Command getCreateCommand(CreateRequest request) {
		return null;
	}

}
